MODBUS_GET_BYTE_FROM(3)

NAME
modbus_get_byte_from_bits - get the value from many bits

SYNOPSIS

uint8_t modbus_get_byte_from_bits(const uint8_t *src, int index, unsigned int nb_bits);

DESCRIPTION

The modbus_get_byte_from_bits() function shall extract a value from many bits. All nb_bits bits from src at position index will be read as a single value. To obtain a full byte, set nb_bits to 8.

RETURN VALUE

The modbus_get_byte_from_bits() function shall return a byte containing the bits read.

SEE ALSO

modbus_set_bits_from_byte(3) modbus_set_bits_from_bytes(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com